package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag205cov;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT205COVCreator;

public class TagB56aCreator extends AbsTagCreate {
    private MT205COVCreator mt205COVCreator;

    public TagB56aCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt205COVCreator = (MT205COVCreator) absMTCreator;
    }

    @Override
    public void creator() {
        handlerBicAdrCreator(mt205COVCreator,"intermediaryInstitution");
    }
}
